Robotsystem from Robot Group Leipzig: PassiveBox Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# PassiveBox Class Reference

`#include <passivebox.h>`

Inheritance diagram for PassiveBox:

[legend]
Collaboration diagram for PassiveBox:

[legend]
List of all members.

## Detailed Description

(Passive) box as obstacle

Definition at line 46 of file passivebox.h.

## Public Member Functions
| PassiveBox (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const osg::Vec3 &dimension=osg::Vec3(1.0, 1.0, 1.0), double mass=1.0)
| Constructor.
| ~PassiveBox ()
virtual void | update ()
| update position of box
virtual void | setTexture (const std::string &filename)
virtual void | setPose (const osg::Matrix &pose)
| sets position of the obstacle and creates/recreates obstacle if necessary
virtual osg::Matrix | getPose ()
| gives actual pose of the obstacle
virtual void | setPosition (const osg::Vec3 &pos)
| sets position of the box and creates/recreates it if necessary
virtual osg::Vec3 | getPosition ()
| gives actual position of box
## Protected Member Functions
virtual void | create ()
virtual void | destroy ()

## Constructor & Destructor Documentation

PassiveBox | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const osg::Vec3 & | dimension = `osg::Vec3(1.0, 1.0, 1.0)`,
|  | double | mass = `1.0`
| ) | `[inline]`

| Constructor. Definition at line 64 of file passivebox.h.

~PassiveBox | ( |  | ) | `[inline]`

| Definition at line 71 of file passivebox.h.

## Member Function Documentation

virtual void create | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 118 of file passivebox.h.

virtual void destroy | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 127 of file passivebox.h.

virtual osg::Matrix getPose | ( |  | ) | `[inline, virtual]`

| gives actual pose of the obstacle Implements AbstractObstacle. Definition at line 94 of file passivebox.h.

virtual osg::Vec3 getPosition | ( |  | ) | `[inline, virtual]`

| gives actual position of box Reimplemented from AbstractObstacle. Definition at line 113 of file passivebox.h.

virtual void setPose | ( | const osg::Matrix & | pose | ) | `[inline, virtual]`

| sets position of the obstacle and creates/recreates obstacle if necessary Implements AbstractObstacle. Definition at line 86 of file passivebox.h.

virtual void setPosition | ( | const osg::Vec3 & | pos | ) | `[inline, virtual]`

| sets position of the box and creates/recreates it if necessary Reimplemented from AbstractObstacle. Definition at line 101 of file passivebox.h.

virtual void setTexture | ( | const std::string & | filename | ) | `[inline, virtual]`

| Definition at line 82 of file passivebox.h.

virtual void update | ( |  | ) | `[inline, virtual]`

| update position of box Implements AbstractObstacle. Definition at line 78 of file passivebox.h.